// This file has been written by Jiri Bittner, October 2006

#ifndef __BVHLOADER_H
#define __BVHLOADER_H

#include "Bvh.h"


namespace CHCDemoEngine
{

/** Loader for a bounding volume hierarchy.
*/
class BvhLoader
{
public:

	Bvh *Load(const std::string &filename, const SceneEntityContainer &entities);

protected:
	
	BvhNode *LoadNextNode(std::ifstream &stream, BvhInterior *parent);
};

}

#endif // __BVHLOADER_H