#ifndef _SCENEQUERY_H__
#define _SCENEQUERY_H__

#include "common.h"
#include "AxisAlignedBox3.h"

namespace CHCDemoEngine
{

/** A simple class that computes the first intersection of a horizontal ray with
	the scene. Can be used to "drop" objects in the scene.
*/
class SceneQuery
{
public:

	SceneQuery(const AxisAlignedBox3 &sceneBox);

	bool CalcIntersection(Vector3 &pt);

protected:

	void Prepare();


	///////////

	AxisAlignedBox3 mSceneBox;
};

}

#endif
