#include "SceneQuery.h"
#include "glInterface.h"
#include "Vector3.h"
#include "Camera.h"


void startil();
void stopil();


namespace CHCDemoEngine
{

using namespace std;


const static int viewport[4] = {0, 0, 512, 512};
//static DepthComponent<float> *sDepth = NULL;



SceneQuery::SceneQuery(const AxisAlignedBox3 &sceneBox): 
mSceneBox(sceneBox)
{
	Prepare();
}


bool SceneQuery::CalcIntersection(Vector3 &pt)
{
	int px = (pt.x - mSceneBox.Min(0)) * (viewport[2] - 1) / mSceneBox.Size(0);
	int py = (pt.y - mSceneBox.Min(2)) * (viewport[3] - 1) /  mSceneBox.Size(2);

	const float d = 1.0f;// - sDepth->getPixel(px, py);

	if (d > 0.0f)
	{
		pt.z = mSceneBox.Size(2) * d + mSceneBox.Min(2);
		cout << "new depth " << pt.z << " (" << d << ")" << endl;

		return true;
	}

	return false;
}

void SceneQuery::Prepare()
{
	cout << "Preparing scene queries" << endl;

	// center camera on "highest" point
	Vector3 pos;

	pos.x = mSceneBox.Center(0);
	pos.y = mSceneBox.Max(1);
	pos.z = mSceneBox.Center(2);

	Camera *orthoCam = new Camera();
	//orthoCam->SetOrtho(true);

	// contain match scene bounding box;

	// for ortho cam this is the width
	const Vector3 len = mSceneBox.Size();
/*
	orthoCam->SetFov(len.x);
	orthoCam->SetAspect(len.x / len.y);

	orthoCam->SetNear(0.0f);
	orthoCam->SetFar(len.z);

	orthoCam->SetPosition(pos);

	OUT1("fov: " << orthoCam->GetFov());
	OUT1("near: " << orthoCam->GetNear());
	OUT1("far: " << orthoCam->GetFar());
	OUT1("aspect: " << orthoCam->GetAspect());

	OUT1("pos: " << orthoCam->GetPosition());
	OUT1("view: " << orthoCam->GetViewDirection());
	OUT1("up: " << orthoCam->GetViewUpVector());

	const float pitch = 0;
	const float yaw = YA_PI * 0.5f;
	
	OffscreenRenderArea *of = new OffscreenRenderArea();

	of->Init(viewport[2], viewport[3]);
	of->SetRenderAction(new GLRenderAction);
	
	of->SetCamera(orthoCam);
	of->SetSceneRoot(mSceneRoot);
	
	of->Render();

	sDepth = of->GetDepthFloat();
	*/
}

}